linux-ec2: 2.6.32-367.82 -proposed tracker

Bug #1336142 reported by Brad Figg on 2014-07-01
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Stefan Bader
Prepare-package-meta
Medium
Stefan Bader
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Ubuntu Stable Release Updates Team
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Upload-to-ppa-dnu
Medium
Canonical Kernel Team
Verification-testing
Medium
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 01. July 2014 04:50 UTC
kernel-stable-master-bug:1335875
kernel-stable-Certification-testing-end:Tuesday, 01. July 2014 12:46 UTC
kernel-stable-Prepare-package-end:Wednesday, 02. July 2014 13:20 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 02. July 2014 13:20 UTC
ppa-package-testing-start:Wednesday, 02. July 2014 13:20 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 02. July 2014 17:38 UTC
kernel-stable-phase:Verification & Testing
kernel-stable-phase-changed:Wednesday, 02. July 2014 21:03 UTC
kernel-stable-Security-signoff-start:Wednesday, 02. July 2014 21:03 UTC
kernel-stable-Verification-testing-start:Wednesday, 02. July 2014 21:03 UTC
kernel-stable-Regression-testing-start:Wednesday, 02. July 2014 21:03 UTC

CVE References

This tracking bug was opened to be worked from linux-2.6.32-63.126 update (bug 1335875)

tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Stefan Bader (smb) on 2014-07-01
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-367.81 -proposed tracker
Brad Figg (brad-figg) on 2014-07-01
description: updated
Brad Figg (brad-figg) on 2014-07-01
description: updated
description: updated
description: updated
description: updated
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
description: updated
Adam Conrad (adconrad) on 2014-07-01
summary: - linux-ec2: 2.6.32-367.81 -proposed tracker
+ linux-ec2: 2.6.32-367.82 -proposed tracker
Changed in linux-ec2 (Ubuntu):
status: New → Invalid
description: updated
Brad Figg (brad-figg) on 2014-07-02
description: updated
Brad Figg (brad-figg) on 2014-07-02
summary: - linux-ec2: 2.6.32-367.82 -proposed tracker
+ linux-ec2: 2.6.32-367.81 -proposed tracker
Brad Figg (brad-figg) on 2014-07-02
description: updated
Adam Conrad (adconrad) on 2014-07-02
summary: - linux-ec2: 2.6.32-367.81 -proposed tracker
+ linux-ec2: 2.6.32-367.82 -proposed tracker
description: updated
Brad Figg (brad-figg) on 2014-07-02
description: updated
Brad Figg (brad-figg) on 2014-07-02
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-07-02
description: updated
Brad Figg (brad-figg) on 2014-07-02
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-368.84

---------------
linux-ec2 (2.6.32-368.84) lucid; urgency=low

  [ Andy Whitcroft ]

  * pull in missing CVE changelog
  * Ubuntu-2.6.32-368.84

  [ Ubuntu: 2.6.32-64.128 ]

  * l2tp: Privilege escalation in ppp over l2tp sockets
    - LP: #1341472
    - CVE-2014-4943

linux-ec2 (2.6.32-368.83) lucid; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-64.127
  * Release Tracking Bug
    - LP: #1339215

  [ Ubuntu: 2.6.32-64.127 ]

  * Merged back Ubuntu-2.6.32-62.126 security release
  * Revert "x86_64,ptrace: Enforce RIP <= TASK_SIZE_MAX (CVE-2014-4699)"
    - LP: #1337339
  * ptrace,x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699

linux-ec2 (2.6.32-367.82) lucid; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-63.126
  * Release Tracking Bug
    - LP: #1336142

  [ Ubuntu: 2.6.32-63.126 ]

  * net: check net.core.somaxconn sysctl values
    - LP: #1321293
  * sysctl net: Keep tcp_syn_retries inside the boundary
    - LP: #1321293
  * ethtool: Report link-down while interface is down
    - LP: #1335049
  * futex: Prevent attaching to kernel threads
    - LP: #1335049
  * auditsc: audit_krule mask accesses need bounds checking
    - LP: #1335049
  * net: fix regression introduced in 2.6.32.62 by sysctl fixes
    - LP: #1335049
  * Linux 2.6.32.63
    - LP: #1335049
  * lib/lzo: Rename lzo1x_decompress.c to lzo1x_decompress_safe.c
    - LP: #1335313
    - CVE-2014-4608
  * lib/lzo: Update LZO compression to current upstream version
    - LP: #1335313
    - CVE-2014-4608
  * lzo: properly check for overruns
    - LP: #1335313
    - CVE-2014-4608
 -- Andy Whitcroft <email address hidden> Mon, 14 Jul 2014 17:31:51 +0100

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers